# Enum ProtoField.WireKind

java.lang.Object
java.lang.Enum<ProtoField.WireKind>
com.codename1.annotations.grpc.ProtoField.WireKind

All Implemented Interfaces:
  `Comparable<ProtoField.WireKind>`

Enclosing class:
  `ProtoField`

public static enum ProtoField.WireKind extends Enum<ProtoField.WireKind>
Integer encoding selectors. `DEFAULT` matches `int32` / `int64` / `uint32` / `uint64` (varint). `SINT` matches `sint32` / `sint64` (ZigZag-encoded varint). `FIXED` matches `fixed32` / `fixed64` / `sfixed32` / `sfixed64` (fixed-width).

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  `FIXED`
  `SINT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProtoField.WireKind`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ProtoField.WireKind[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final ProtoField.WireKind DEFAULT

  - ### SINT

    public static final ProtoField.WireKind SINT

  - ### FIXED

    public static final ProtoField.WireKind FIXED

- ## Method Details

  - ### values

    public static ProtoField.WireKind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ProtoField.WireKind valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null